'***************************************************************************
'* Daniel Snchez - Argentina
'* January 7, 2002
'* ListView Column alignment
'***************************************************************************

Const LVM_SETCOLUMN = 4122

const LVCF_FMT =		1
const LVCF_WIDTH =		2
const LVCF_TEXT =		4
const LVCF_SUBITEM =	8

const LVCFMT_LEFT = 		0
const LVCFMT_RIGHT = 		1
const LVCFMT_CENTER =		2
const LVCFMT_JUSTIFYMASK =	3

'--------------------------------------------------------------------------
Type tLVCOLUMN
	mask As Long
	fmt As Long
	cx As Long
	pszText As String * 16
	cchTextMax As Long
	iSubItem As Long
	iImage As Long
	iOrder As Long
End Type

'--------------------------------------------------------------------------
Declare Function SM Lib "user32" Alias "SendMessageA" _
	(ByVal hwnd As Long, _
	ByVal wMsg As Long, _
	ByVal wParam As Integer, _
	ByVal lParam As Long _
) As Long

Declare Function RedrawWin Lib "user32" Alias "RedrawWindow" _
	(ByVal hwnd As Long, _
	lprcUpdate As long, _
	ByVal hrgnUpdate As Long, _
	ByVal fuRedraw As Long _
	) As Long

'--------------------------------------------------------------------------
Sub QLValignment(Sender as QlistView, ColAlign as integer, LeftCenterRight as integer)
	Dim LvColumn as tLVCOLUMN
	
	LvColumn.mask = LVCF_FMT
	LvColumn.fmt = LeftCenterRight
	SM (Sender.Handle, LVM_SETCOLUMN, ColAlign, LvColumn)
	RedrawWin (Sender.Handle, 0, 0, 1)
End Sub