' ******************************************************************************
with frmLang
	.clientwidth = 260: .clientheight = 220
	.borderstyle = 1
	.delbordericons 1,2
	.caption = "RQ KULI - Vitajte v programe !!!"
	.font.color = rgb(&Hff, &Hcc, &H00)
	.font.name = "Calibri"
	.font.size = 10
	.onPaint = frmLang_onPaint
	.center
	'udalosti
end with

	with gbxLang
	    .parent = frmLang
	    .left = 10: .top = 5: .width = 242: .height = 165
	    .color = 0
		.caption = " Vyberte Nrodn banku "
	end with
	
	with imgFlagSVK
	    .parent = gbxLang
	    .left = 10: .top = 20: .width = 100: .height = 100
	    .stretch = 1
	    .bmpHandle = bmp_SKK
	end with
	
	with rbtLangSVK
	    .parent = gbxLang
	    .left = 20: .top = 130
	    .caption = "&slovensk"
	    .hint = "Kurzov lstok - Nrodn banka Slovenska"
	    .checked = 0
	    .tag = 0
	    .onClick = rbtLang_onClick
	end with
	
	with imgFlagCZE
	    .parent = gbxLang
	    .left = 130: .top = 20: .width = 100: .height = 100
	    .stretch = 1
	    .bmpHandle = bmp_CZK
	end with
	
	with rbtLangCZE
	    .parent = gbxLang
	    .left = 155: .top = 130: .width = 50
	    .caption = "&esk"
	    .hint = "Kurzovn lstek - esk nrodn banka"
	    .checked = 0
	    .onClick = rbtLang_onClick
	    .tag = 1
	end with
	
	with btnLangOK
	    .parent = frmLang
	    .left = 10: .top = 180: .width = 242: .height = 30
	    .caption = "OK"
	    .enabled = 0
	    .font.color = 0
	    .onClick = btnLangOK_onClick
	end with
	
' ------------------------------------------------------------------------------
Sub rbtLang_onClick
	If Sender.Checked = 1 then btnLangOk.Enabled = 1
	btnLangOK.Hint = application.title + " [" + Sender.Hint + "]"
	frmKuli.caption = btnLangOK.Hint
	Banka = Iif(sender.tag = 0, "SVK", "CZE")
	If Sender.Tag = 1 then
		btnLangOk.BMPHandle = bmp_cesky
	Else
		btnLangOk.BMPHandle = bmp_slovensky
	End if
End Sub

' ------------------------------------------------------------------------------
Sub frmLang_onPaint
	Dim farba as Integer
	Farba = rgb(&H0, &H0, &Hcc)
	Z = Floor(Farba / 65536) 				' Blue
	Y = Floor((Farba - (Z * 65536)) / 256) ' Green
	X = Farba - (Z * 65536) - (Y * 256)	' Red

    For W = 0 to frmLang.height
		frmLang.rectangle (0, frmLang.height-W, frmLang.width, frmLang.height-W, rgb( _
		X - (W * ((X)/frmLang.height)), _
		Y - (W * ((Y)/frmLang.height)), _
		Z - (W * ((Z)/frmLang.height))))
	Next
End Sub

' ------------------------------------------------------------------------------
Sub btnLangOK_onClick
	Select Case Banka
	Case "CZE"
	    stbKuli.panel(1).caption = "Verze programu - 0.4"
	    stbKuli.panel(2).caption = "Dnen datum - " + Mid$(Date$, 4,2) + "." + _
			Left$(Date$, 2) + "." + Right$(Date$, 4)
		gbxKuliDatum.caption = " Datum (rok, msc, den) "
		gbxKuliGraf.Caption = " Graf za obdob "
		rbtGraf1.caption = "msc"
		rbtGraf3.caption = "tvrtlet"
		rbtGraf6.caption = "pololet"
		gbxKuliPrepocet.caption = " Pepoet "
		lbxKuliMesiac.additems "leden", "nor", "bezen", "duben", "kvten", "erven", _
				"ervenec", "srpen", "z", "jen", "listopad", "prosinec"
        btnKuliNazovDna(0).Caption = "Po"
		btnKuliNazovDna(1).Caption = "t"
		btnKuliNazovDna(2).Caption = "St"
		btnKuliNazovDna(3).Caption = "t"
		btnKuliNazovDna(4).Caption = "P"
		btnKuliNazovDna(5).Caption = "So"
		btnKuliNazovDna(6).Caption = "Ne"
        mnuMesiac.hint = "&Sthnout KL za"
		lviKuli.Column(0).Caption = " Stt"
		lviKuli.Column(1).Caption = " Mna"
		lviKuli.Column(2).Caption = " Jedn."
		lviKuli.Column(3).Caption = " Zkr."
		lviKuli.Column(4).Caption = " Kurz"
		lviKuli.Column(5).Caption = " Pedtm"
		lviKuli.Column(6).Caption = " Rozdl"
		lviKuli.Column(7).Caption = " Index"
        
		' menu
		'mnuSkratky.caption = "K&lvesov &zkratky"
		mnuAbout.caption = "&O programu"
		mnuKoniec.caption = "&Konec"
		mnuDnes.caption = "&Dnen datum"
		mnuTlacKL.caption = "&Tisk kurzovnho lstku"
		mnuVymazKL.caption = "&Vymazn kurzovnho lstku"
		mnuMeny.caption = "selnk &mn"
		mnuMesacnyDownload.caption = "&Msn download"
		mnuExport.caption = "&Export mny"
		mnuGrafCopy1.caption = "&Koprovat"
		mnuGrafSave1.caption = "&Uloit"
		mnuKuliTlac.caption = "&Tisknout kurzovn lstek"
		mnuKuliVymaz.caption = "&Vymazat kurzovn lstek"
		mnuGrafCopy.caption = "&Koprovat graf"
		mnuGrafSave.caption = "&Uloit graf"
		mnuNarodneBanky.caption = "Dal domc banky"
		btnMenaOK.caption = "&Uloit"
		lblMenaSkratka.caption = "Zkratka mny:"
		lblMenaStat.caption = "Stt:"
		lblMenaNazov.caption = "Mna:"
		lviMeny.Column(0).Caption = "Zkratka"
		lviMeny.Column(1).Caption = " Stt"
		lviMeny.Column(2).Caption = " Mna"
		lviMeny.Column(3).Caption = " Jedn."
		lviMeny.Column(4).Caption = " ID"
		btnMenyPlus.caption = "&Pidat"
		btnMenyMinus.caption = "&Smazat"
		btnMenyEdit.caption = "&Opravit"
		frmExport.caption = "EXPORT MNY"
		gbxExportMena.caption = " Mna "
		gbxExportDatum.caption = " Obdob "
		frmMeny.caption = "SELNK MN"
		gbxKuliText.hint = " Kurzovn lstek "
		lviPrepocet2.Column(0).Caption = "CZK"
		lviPrepocet1.Column(1).Caption = "CZK"
		
        ' messages
        message(0) = "Pipojen na internet nebylo zjitno!"
        message(1) = "CHYBA PI STAHOVN SOUBORU! Mon chyba:" + chr$(10) +  _
			"a) datum pipad na den, kdy se kurzovn lstky nevydvaj (nap. sttn svtek, vkend)," + chr$(10) +  _
			"b) datum pipad na neexistujci den (nap. 29. nor, 31. duben a pod.), " + chr$(10) +  _
			"c) datum pipad na den, kter jet jen pjde,"  + chr$(10) +  _
			"d) jakkoliv jin chyba (modemu, st, serveru a pod.)."
		message(2) = "Zkratka mny nen sprvne vyplnna..."
        message (3) = "Zkratka mny obsahuje nepovolen znak " + separ + crlf + _
			"Jde o oddlova zznam v databze..."
		message (4) = "Stt nen vyplnn..."
        message(5) = "Stt mny obsahuje nepovolen znak " + separ + crlf + _
			"Jde o oddlova zznam v databze..."
        message(6) = "Nzev mny nen vyplnn..."
        message(7) = "Nzev mny obsahuje nepovolen znak " + separ + crlf + _
			"Jde o oddlova zznam v databze..."
        message(8) = "Poet jednotek nen sprvn vyplnn..."
        message(9) = "Uloit zznam?"
        message (10) = "Vymazat aktuln mnu "
        message(11) = "Lituji, v databze sa nenachzej kurzovn lstky " +  _
			LTrim$(cbxExportMena.Item(cbxExportMena.ItemIndex)) + " za toto obdob..."
        message(12) = "Graf je zkoprovan do schrnky." + crlf + _
		"Pkazem CTRL+V ho mete vloit do jinho programu..."
        message(13) = "Uloit"
		message(14) = "Uloit jako"
		message(15) = "Soubor ji existuje. Chcete ho pepsat?"
		message(16) = "Program: RQ KULI (KUrzovn Lstky)" + crlf + crlf + _
 		"Verze: 0.4" + crlf + _
 		"Licence: freeware" + crlf + _
 		"Vydno: 16. 04. 2008" + crlf + _
 		"--------------------------" + crlf + _
		" 2006 - 2008 Slavomr Svetlk" + crlf + _
		"Bansk Bystrica" + crlf + _
 		"e-mail: rqmoney@gmail.com"
	' ####################################################################################
	Case "SVK"
	    stbKuli.panel(1).caption = "Verzia programu - 0.4"
	    stbKuli.panel(2).caption = "Dnen datum - " + Mid$(Date$, 4,2) + "." + _
			Left$(Date$, 2) + "." + Right$(Date$, 4)
	    gbxKuliDatum.caption = " Dtum (rok, mesiac, de) "
	    gbxKuliGraf.Caption = " Graf za obdobie "
	    rbtGraf1.caption = "mesiac"
	    rbtGraf3.caption = "tvrrok"
	    rbtGraf6.caption = "polrok"
	    gbxKuliPrepocet.caption = " Prepoet "
	    lbxKuliMesiac.additems "janur", "februr", "marec", "aprl", "mj", "jn", _
				"jl", "august", "september", "oktber", "november", "december"
        btnKuliNazovDna(0).Caption = "Po"
		btnKuliNazovDna(1).Caption = "Ut"
		btnKuliNazovDna(2).Caption = "St"
		btnKuliNazovDna(3).Caption = "t"
		btnKuliNazovDna(4).Caption = "Pi"
		btnKuliNazovDna(5).Caption = "So"
		btnKuliNazovDna(6).Caption = "Ne"
		mnuMesiac.hint = "&Stiahnu KL za "
		lviKuli.Column(0).Caption = " Krajina"
		lviKuli.Column(1).Caption = " Mena"
		lviKuli.Column(2).Caption = " Jedn."
		lviKuli.Column(3).Caption = " Skr."
		lviKuli.Column(4).Caption = " Kurz"
		lviKuli.Column(5).Caption = " Predtm"
		lviKuli.Column(6).Caption = " Rozdiel"
		lviKuli.Column(7).Caption = " Index"
		btnMenaOK.caption = "&Uloi"
		lblMenaSkratka.caption = "Skratka meny:"
		lblMenaStat.caption = "tt:"
		lblMenaNazov.caption = "Mena:"
		frmMeny.caption = "SELNK MIEN"
		lviMeny.Column(0).Caption = "Skratka"
		lviMeny.Column(1).Caption = " tt"
		lviMeny.Column(2).Caption = " Mena"
		lviMeny.Column(3).Caption = " Jedn."
		lviMeny.Column(4).Caption = " ID"
		btnMenyPlus.caption = "&Prida"
		btnMenyMinus.caption = "&Vymaza"
		btnMenyEdit.caption = "&Opravi"
		frmExport.caption = "EXPORT MENY"
		gbxExportMena.caption = " Mena "
		gbxExportDatum.caption = " Obdobie "
		lviPrepocet2.Column(0).Caption = "SKK"
		lviPrepocet1.Column(1).Caption = "SKK"
		
		' menu
		'mnuSkratky.caption = "K&lvesov &skratky"
		mnuAbout.caption = "&O programe"
		mnuKoniec.caption = "&Koniec"
		mnuDnes.caption = "&Dnen dtum"
		mnuTlacKL.caption = "&Tla kurzovho lstka"
		mnuVymazKL.caption = "&Vymazanie kurzovho lstka"
		mnuMeny.caption = "selnk &mien"
		mnuMesacnyDownload.caption = "&Mesan download"
		mnuExport.caption = "&Export meny"
	    mnuGrafCopy1.caption = "&Koprova"
	    mnuGrafSave1.caption = "&Uloi"
	    mnuKuliTlac.caption = "&Tlai kurzov lstok"
	    mnuKuliVymaz.caption = "&Vymaza kurzov lstok"
	    mnuGrafCopy.caption = "&Koprova graf"
		mnuGrafSave.caption = "&Uloi graf"
		mnuNarodneBanky.caption = "Ostatn domce banky"
		gbxKuliText.hint = " Kurzov lstok "
        
		' messages
        message(0) = "Pripojenie na internet nebolo zisten!"
		message(1) = "CHYBA PRI SAHOVAN SBORU! Pravdepodobn chyba:" + chr$(10) +  _
			"a) dtum pripad na de, kedy sa kurzov lstky nevydvaj (napr. ttny sviatok, vkend)," + chr$(10) +  _
			"b) dtum pripad na neexistujci de (napr. 29. februr, 31. aprl a pod.), " + chr$(10) +  _
			"c) dtum pripad na de, ktor ete len prde,"  + chr$(10) +  _
			"d) akkovek in chyba (modemu, siete, servera a pod.)."
        message(2) = "Skratka meny nie je sprvne vyplnen..."
        message (3) = "Skratka meny obsahuje nepovolen znak " + separ + crlf + _
			"Ide o oddeova zznamov v databze..."
        message(4) = "tt nie je vyplnen..."
        message(5) = "tt meny obsahuje nepovolen znak " + separ + crlf + _
			"Ide o oddeova zznamov v databze..."
        message(6) = "Nzov meny nie je vyplnen..."
        message(7) = "Nzov meny obsahuje nepovolen znak " + separ + crlf + _
			"Ide o oddeova zznamov v databze..."
        message(8) = "Poet jednotiek nie je sprvne vyplnen..."
        message(9) = "Uloi zznam?"
        message (10) = "Vymaza aktulnu menu "
        message(11) = "utujem, v databze sa nenachdzaj kurzov lstky " +  _
			LTrim$(cbxExportMena.Item(cbxExportMena.ItemIndex)) + " za toto obdobie..."
		message(12) = "Graf je skoprovan do schrnky." + crlf + _
			"Prkazom CTRL+V ho mete vloi do inho programu..."
		message(13) = "Uloi"
		message(14) = "Uloi ako"
		message(15) = "Sbor u existuje. Chcete ho prepsa?"
		message(16) = "Program: RQ KULI (KUrzovn Lstky)" + crlf + crlf + _
 		"Verzia: 0.4" + crlf + _
 		"Licencia: freeware" + crlf + _
 		"Vydan: 16. 04. 2008" + crlf + _
 		"--------------------------" + crlf + _
		" 2006 - 2008 Slavomr Svetlk" + crlf + _
		"Bansk Bystrica" + crlf + _
 		"e-mail: rqmoney@gmail.com"
	End Select

	frmLang.ModalResult = 1
End Sub